OpenAI video status
curl --request GET \
--url https://maas.apigo.ai/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://maas.apigo.ai/v1/videos/{video_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://maas.apigo.ai/v1/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "video_123456789",
"object": "video",
"created_at": 1741570283,
"completed_at": 1741570383,
"model": "sora-2",
"status": "pending",
"progress": 50,
"expires_at": 1741656683,
"seconds": "4",
"size": "720x1280",
"remixed_from_video_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": 123,
"message": "<string>"
}Video
/v1/videos/{video_id}
비디오 생성 작업의 현재 상태 및 진행 상황을 검색합니다.
GET
/
v1
/
videos
/
{video_id}
OpenAI video status
이 엔드포인트를 사용하여 비디오 생성 작업의 현재 상태, 진행률 및 오류 상태를 쿼리합니다.
Authorization: Bearer {API_KEY}로 인증- 주요 경로 매개변수는
video_id입니다. - 이 엔드포인트는 일반적으로 작업 생성 후 폴링됩니다.
- 내부 작업 테이블을 유지 관리하는 경우 공급자 상태를 제품 상태와 별도로 저장하십시오.
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
경로 매개변수
Video ID
예시:
"video_123456789"
응답
Successful video task status response
Video task ID.
예시:
"video_123456789"
Object type.
사용 가능한 옵션:
video Current task status.
사용 가능한 옵션:
pending, in_progress, completed, failed Creation timestamp.
Completion timestamp.
Model used for generation.
Task progress percentage.
필수 범위:
0 <= x <= 100Expiration timestamp for the generated asset.
Video duration in seconds.
Video resolution.
사용 가능한 옵션:
720x1280, 1280x720 Source video ID when the task comes from remix.
Show child attributes
Show child attributes
